Bug 236832 - SocketFactory.createSocket() unsupported
SocketFactory.createSocket() unsupported
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Tromey
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-17 16:51 EDT by Thomas Fitzsimmons
Modified: 2014-08-11 01:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:30:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
demonstrate that createSocket is unsupported (244 bytes, text/x-java)
2007-04-17 16:51 EDT, Thomas Fitzsimmons
no flags Details

  None (edit)
Description Thomas Fitzsimmons 2007-04-17 16:51:09 EDT
The attached test case throws an UnsupportedOperationException.  Mylar tries to
use this to create an unbound Socket.  For Fedora 7, we can likely patch Mylar
to work around this problem, but this method should be completed.
Comment 1 Thomas Fitzsimmons 2007-04-17 16:51:09 EDT
Created attachment 152857 [details]
demonstrate that createSocket is unsupported
Comment 2 Tom Tromey 2007-04-17 20:02:54 EDT
I tried this on the JDK on to-gcj-1 and got:

to-gcj-1. /usr/lib/jvm/java-1.5.0-sun-1.5.0.11.x86_64/bin/java TestSocket
Exception in thread "main" java.lang.IllegalStateException: SSLContextImpl is
not initialized
        at
com.sun.net.ssl.internal.ssl.SSLContextImpl.engineGetSocketFactory(SSLContextImpl.java:72)
        at javax.net.ssl.SSLContext.getSocketFactory(SSLContext.java:161)
        at TestSocket.main(TestSocket.java:9)

I'm not sure whether or not this is expected.
The javadoc seems unclear on what should happen in this case.
It is easy enough for us to make an SSLSocket but it is unclear what,
if anything, you can do with it... how does Mylar use this socket
once it has created it?
Comment 3 Tom Tromey 2007-04-19 16:57:18 EDT
I checked Casey's fix in on the RH 4.1 branch.
Comment 4 Bug Zapper 2008-04-03 20:08:16 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 21:30:19 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.